# norootforbuild



Name:           fbdesk
Version:        1.4.1
Release:        3.4

Summary:        Icon Manager for Fluxbox
Group:          System/GUI/Other
License:        MIT
URL:            http://fluxbox.sourceforge.net/fbdesk/

Source0:        http://fluxbox.sourceforge.net/download/fbdesk-1.4.1.tar.gz

Patch0:         %{name}-gcc43.patch
Patch1:         %{name}-png.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gcc-c++ imlib2-devel xorg-x11-devel

%description
FbDesk is a fluxbox-util application that creates and manages icons on your
Fluxbox desktop.


%prep
%setup -q
%patch0 -p1 -b .gcc43
%if %suse_version >= 1130
%patch1 -p1
%endif


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/*


%changelog
* Tue Dec 01 2009 Detlef Reichelt <detlef@links2linux.de> - 1.4.1
- initial build for PackMan

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Christopher Aillon <caillon@redhat.com> - 1.4.1-4
- Add needed C++ #include directives for GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.1-3
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.4.1-2
- Rebuilt for gcc43

* Thu Jan 03 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-1
- version upgrade
- fix rpath

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-3
- rebuild for buildid

* Tue Sep 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-2
- FE6 rebuild

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0-1
- version upgrade

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-3
- add gcc4.1 patch

* Sun Jan 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- modular X

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.2.1-1
- version upgrade
- droped gcc34 patch

* Wed Nov 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.1.5-4
- Fix for GCC 3.4, bump release.

* Mon Jul 28 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:1.1.5-0.fdr.3
- partly applied patch provided by Michael Schwendt ( #441 #3 )
- fixed up some minor stuff

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.2
- Minor fixes to make rpmlint happy

* Fri Jun 27 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:1.1.5-0.fdr.1
- Initial RPM release.
